> ## Documentation Index
> Fetch the complete documentation index at: https://docs.semicola.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a source



## OpenAPI

````yaml /openapi/storefront.yaml get /api/v2/storefront/inventory-sources/{id}
openapi: 3.1.0
info:
  title: Semicola Exchange storefront API
  version: 2.0.0
  description: >-
    Seller (storefront) endpoints: storefront setup, inventory sources,
    products, AI Business Rules, playbook, demand inbox, proposals, approvals
    and seller reporting.
servers:
  - url: https://api.semicola.com
security:
  - bearerAuth: []
  - sessionCookie: []
tags:
  - name: Storefront
  - name: Inventory Sources
  - name: Products
  - name: Business Rules
  - name: Playbook
  - name: Library
  - name: Demand Inbox
  - name: Proposals
  - name: Approvals
  - name: Creative Reviews
  - name: Media Buys
  - name: Buyers
  - name: Reporting
  - name: Activity
  - name: Test Runs
paths:
  /api/v2/storefront/inventory-sources/{id}:
    get:
      tags:
        - Inventory Sources
      summary: Get a source
      operationId: getStorefrontInventorySourcesById
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            minLength: 1
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    anyOf:
                      - type: object
                        properties:
                          sourceId:
                            type: string
                          name:
                            type: string
                          executionType:
                            type: string
                            enum:
                              - AGENT
                              - MANAGED_SALES_AGENT
                              - LINKED_STOREFRONT
                              - MODULAR_SOURCE
                          status:
                            type: string
                            enum:
                              - PENDING
                              - ACTIVE
                              - DISABLED
                          protocol:
                            type: string
                            enum:
                              - MCP
                              - A2A
                          endpointUrl:
                            type:
                              - string
                              - 'null'
                          authenticationType:
                            type: string
                            enum:
                              - API_KEY
                              - NO_AUTH
                              - JWT
                              - OAUTH
                              - BASIC_AUTH
                          hasCredentials:
                            type: boolean
                          productMode:
                            type: string
                            enum:
                              - WHOLESALE
                              - COMPOSING
                              - BOTH
                          health:
                            type: string
                            enum:
                              - healthy
                              - degraded
                              - unhealthy
                              - unknown
                          lastCheckedAt:
                            anyOf:
                              - type: string
                                format: date-time
                                pattern: >-
                                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                              - type: 'null'
                        required:
                          - sourceId
                          - name
                          - executionType
                          - status
                          - protocol
                          - endpointUrl
                          - authenticationType
                          - hasCredentials
                          - productMode
                          - health
                          - lastCheckedAt
                        additionalProperties: false
                      - type: 'null'
                  error:
                    anyOf:
                      - type: object
                        properties:
                          code:
                            type: string
                          message:
                            type: string
                          field:
                            type: string
                          details: {}
                        required:
                          - code
                          - message
                        additionalProperties: false
                      - type: 'null'
                required:
                  - data
                  - error
                additionalProperties: false
        default:
          description: >-
            Error envelope `{data: null, error: {code, message, field?,
            details?}}`.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key or OAuth access token.
    sessionCookie:
      type: apiKey
      in: cookie
      name: sc_session

````